<template>
  <div>
    <float-menu
    :position="'top right'"
    :dimension="60"
    :menu-data="items"
    :menu-style="'accordion'"
    :on-selected="handleSelection"
    :menu-dimension="{height: 200, width: 150}"
    :theme="{
      primary: 'darkslategray',
      textColor: '#000',
      menuBgColor: 'blueviolet',
      textSelectedColor: '#fff',
    }"
    flip-on-edges
    >
    <!-- Menú -->
    <!-- :menu-dimension="{height: 200, width: 150}" -->
      <!-- :position="'top right'" -->
      <!-- :dimension="60" -->
      <!-- :menu-style="'slide-out'" -->
      <!-- :on-selected="handleSelection" -->
      <!-- :menu-data="items" -->
    <!-- fixed -->
    <font-awesome-icon :icon="['fas', 'link']" size="2x" />
  <template #new>
    <font-awesome-icon :icon="['fas', 'link']"/>
  </template>

    </float-menu>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
import { FloatMenu } from 'vue-float-menu'
import 'vue-float-menu/dist/vue-float-menu.css'
// <!-- ICONS -->
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'
import { library } from '@fortawesome/fontawesome-svg-core'
import { faLink, faSave, faUndo, faRedo } from '@fortawesome/free-solid-svg-icons'

library.add(faLink, faSave, faUndo, faRedo)

export default defineComponent({
  components: {
    FloatMenu,
    'font-awesome-icon': FontAwesomeIcon
  },

  data () {
    return {
      items: [
        { name: 'Proyectos', iconSlot: 'new' },
        { name: 'Previsualizar código' },
        {
          name: 'Tema',
          subMenu: {
            name: 'theme-items',
            items: [{ name: 'Dark' }, { name: 'Light' }]
          }
        },
        { name: 'Documentación' },
        { name: 'Ayuda' },
        { name: 'Acerca de' }
      ]
    }
  },
  setup () {
    const handleSelection = (selectedItem) => {
      console.log(selectedItem)
    }
    return {
      handleSelection
    }
  }
})
</script>

<style>
</style>
